## r-cran-systemfonts 0.1.1

=== DESCRIPTION ===
Package: systemfonts
Type: Package
Title: System Native Font Finding
Version: 0.1.1
Authors@R: 
    c(person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("aut", "cre"),
             email = "thomas.pedersen@rstudio.com"),
      person(given = "Jeroen", 
             family = "Ooms", 
             role = "aut",
             email = "jeroen@berkeley.edu",
             comment = c(ORCID = "0000-0002-4035-0289")),
      person(given = "Devon",
             family = "Govett",
             role = "aut",
             comment = "Author of font-manager"),
      person(given = "RStudio",
             role = "cph"))
Maintainer: Thomas Lin Pedersen <thomas.pedersen@rstudio.com>
Description: Provides system native access to the font catalogue. As font
    handling varies between systems it is difficult to correctly locate 
    installed fonts across different operating systems. The 'systemfonts' 
    package provides bindings to the native libraries on Windows, macOS and 
    Linux for finding font files that can then be used further by e.g. graphic
    devices. The main use is intended to be from compiled code but 'systemfonts'
    also provides access from R.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Suggests: testthat (>= 2.1.0), covr, knitr, rmarkdown, tools
VignetteBuilder: knitr
URL: https://github.com/r-lib/systemfonts
BugReports: https://github.com/r-lib/systemfonts/issues
NeedsCompilation: yes
Packaged: 2019-07-01 11:23:59 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre],
  Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
  Devon Govett [aut] (Author of font-manager),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2019-07-01 12:50:02 UTC

=== debian/changelog ===
r-cran-systemfonts (0.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:56 +0100

r-cran-systemfonts (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #940160)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Sep 2019 09:56:39 +0200

=== debian/control ===
Source: r-cran-systemfonts
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               libfontconfig1-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
Homepage: https://cran.r-project.org/package=systemfonts

Package: r-cran-systemfonts
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: system native font finding for GNU R
 Provides system native access to the font catalogue. As font
 handling varies between systems it is difficult to correctly locate
 installed fonts across different operating systems. The 'systemfonts'
 package provides bindings to the native libraries on Windows, macOS and
 Linux for finding font files that can then be used further by e.g. graphic
 devices. The main use is intended to be from compiled code but 'systemfonts'
 also provides access from R.

## r-cran-systemfonts 0.2.2

=== debian/changelog ===
r-cran-systemfonts (0.2.2-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:35:42 +0000

r-cran-systemfonts (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 09:06:52 +0200

r-cran-systemfonts (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 May 2020 09:03:05 +0200

r-cran-systemfonts (0.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add debian/README.source

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Apr 2020 11:01:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-r,
                r-base-dev,
                libfontconfig1-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
 Homepage: https://cran.r-project.org/package=systemfonts
+Rules-Requires-Root: no
 
 Package: r-cran-systemfonts
 Architecture: any

## r-cran-systemfonts 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Package: systemfonts
 Type: Package
 Title: System Native Font Finding
-Version: 0.1.1
+Version: 1.0.0
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
              role = c("aut", "cre"),
-             email = "thomas.pedersen@rstudio.com"),
+             email = "thomas.pedersen@rstudio.com",
+             comment = c(ORCID = "0000-0002-5147-4711")),
       person(given = "Jeroen", 
              family = "Ooms", 
              role = "aut",
@@ -29,16 +30,20 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
+Depends: R (>= 3.2.0)
+SystemRequirements: c("C++11", "\n fontconfig", "\n freetype2"), C++11
 Suggests: testthat (>= 2.1.0), covr, knitr, rmarkdown, tools
 VignetteBuilder: knitr
 URL: https://github.com/r-lib/systemfonts
 BugReports: https://github.com/r-lib/systemfonts/issues
+LinkingTo: cpp11 (>= 0.2.1)
 NeedsCompilation: yes
-Packaged: 2019-07-01 11:23:59 UTC; thomas
-Author: Thomas Lin Pedersen [aut, cre],
+Packaged: 2021-02-01 15:19:28 UTC; thomas
+Author: Thomas Lin Pedersen [aut, cre]
+    (<https://orcid.org/0000-0002-5147-4711>),
   Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
   Devon Govett [aut] (Author of font-manager),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2019-07-01 12:50:02 UTC
+Date/Publication: 2021-02-01 17:20:07 UTC

=== debian/changelog ===
r-cran-systemfonts (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Feb 2021 14:31:17 +0100

r-cran-systemfonts (0.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 11:43:49 +0200

r-cran-systemfonts (0.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:42:06 +0200

r-cran-systemfonts (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-cpp11,
                libfontconfig1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
 Homepage: https://cran.r-project.org/package=systemfonts

## r-cran-systemfonts 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: systemfonts
 Type: Package
 Title: System Native Font Finding
-Version: 1.0.0
+Version: 1.0.4
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -29,21 +29,20 @@
     also provides access from R.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Depends: R (>= 3.2.0)
-SystemRequirements: c("C++11", "\n fontconfig", "\n freetype2"), C++11
+SystemRequirements: C++11, fontconfig, freetype2
 Suggests: testthat (>= 2.1.0), covr, knitr, rmarkdown, tools
 VignetteBuilder: knitr
 URL: https://github.com/r-lib/systemfonts
 BugReports: https://github.com/r-lib/systemfonts/issues
 LinkingTo: cpp11 (>= 0.2.1)
 NeedsCompilation: yes
-Packaged: 2021-02-01 15:19:28 UTC; thomas
+Packaged: 2022-02-11 12:33:22 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
     (<https://orcid.org/0000-0002-5147-4711>),
   Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
   Devon Govett [aut] (Author of font-manager),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2021-02-01 17:20:07 UTC
+Date/Publication: 2022-02-11 12:50:02 UTC

=== debian/changelog ===
r-cran-systemfonts (1.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 11:39:46 +0100

r-cran-systemfonts (1.0.3-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 17:55:28 +0000

r-cran-systemfonts (1.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 14:56:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-cpp11,
                libfontconfig1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
 Homepage: https://cran.r-project.org/package=systemfonts

## r-cran-systemfonts 1.0.5

=== DESCRIPTION ===
Type: Package
Package: systemfonts
Title: System Native Font Finding
Version: 1.0.5
Authors@R: c(
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = "aut",
           comment = c(ORCID = "0000-0002-4035-0289")),
    person("Devon", "Govett", role = "aut",
           comment = "Author of font-manager"),
    person("Posit, PBC", role = c("cph", "fnd"))
  )
Description: Provides system native access to the font catalogue. As font
    handling varies between systems it is difficult to correctly locate
    installed fonts across different operating systems. The 'systemfonts'
    package provides bindings to the native libraries on Windows, macOS
    and Linux for finding font files that can then be used further by e.g.
    graphic devices. The main use is intended to be from compiled code but
    'systemfonts' also provides access from R.
License: MIT + file LICENSE
URL: https://github.com/r-lib/systemfonts,
        https://systemfonts.r-lib.org
BugReports: https://github.com/r-lib/systemfonts/issues
Depends: R (>= 3.2.0)
Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0), tools
LinkingTo: cpp11 (>= 0.2.1)
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.2
SystemRequirements: fontconfig, freetype2
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: yes
Packaged: 2023-10-09 08:28:00 UTC; thomas
Author: Thomas Lin Pedersen [aut, cre]
    (<https://orcid.org/0000-0002-5147-4711>),
  Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
  Devon Govett [aut] (Author of font-manager),
  Posit, PBC [cph, fnd]
Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
Repository: CRAN
Date/Publication: 2023-10-09 14:00:09 UTC

=== debian/changelog ===
r-cran-systemfonts (1.0.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/libfontconfig1-dev/libfontconfig-dev/

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:25:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-r,
                r-base-dev,
                r-cran-cpp11,
-               libfontconfig1-dev
-Standards-Version: 4.6.0
+               libfontconfig-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
 Homepage: https://cran.r-project.org/package=systemfonts

## r-cran-systemfonts 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: systemfonts
 Title: System Native Font Finding
-Version: 1.0.5
+Version: 1.1.0
 Authors@R: c(
     person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-5147-4711")),
@@ -27,11 +27,12 @@
 LinkingTo: cpp11 (>= 0.2.1)
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 SystemRequirements: fontconfig, freetype2
 Config/Needs/website: tidyverse/tidytemplate
+Imports: lifecycle
 NeedsCompilation: yes
-Packaged: 2023-10-09 08:28:00 UTC; thomas
+Packaged: 2024-05-13 13:50:57 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
     (<https://orcid.org/0000-0002-5147-4711>),
   Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
@@ -39,4 +40,4 @@
   Posit, PBC [cph, fnd]
 Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
 Repository: CRAN
-Date/Publication: 2023-10-09 14:00:09 UTC
+Date/Publication: 2024-05-15 11:10:03 UTC

=== debian/changelog ===
r-cran-systemfonts (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 28 Jun 2024 07:35:28 +0900

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-lifecycle,
                r-cran-cpp11,
                libfontconfig-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
 Homepage: https://cran.r-project.org/package=systemfonts

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 2.1.0)
Restrictions: allow-stderr

## r-cran-systemfonts 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: systemfonts
 Title: System Native Font Finding
-Version: 1.1.0
+Version: 1.2.1
 Authors@R: c(
     person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-5147-4711")),
@@ -23,16 +23,17 @@
         https://systemfonts.r-lib.org
 BugReports: https://github.com/r-lib/systemfonts/issues
 Depends: R (>= 3.2.0)
-Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0), tools
+Suggests: covr, farver, graphics, knitr, rmarkdown, testthat (>= 2.1.0)
 LinkingTo: cpp11 (>= 0.2.1)
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 SystemRequirements: fontconfig, freetype2
 Config/Needs/website: tidyverse/tidytemplate
-Imports: lifecycle
+Imports: grid, jsonlite, lifecycle, tools, utils
+Config/build/compilation-database: true
 NeedsCompilation: yes
-Packaged: 2024-05-13 13:50:57 UTC; thomas
+Packaged: 2025-01-20 08:28:46 UTC; thomas
 Author: Thomas Lin Pedersen [aut, cre]
     (<https://orcid.org/0000-0002-5147-4711>),
   Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
@@ -40,4 +41,4 @@
   Posit, PBC [cph, fnd]
 Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
 Repository: CRAN
-Date/Publication: 2024-05-15 11:10:03 UTC
+Date/Publication: 2025-01-20 10:30:02 UTC

=== debian/changelog ===
r-cran-systemfonts (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 11:11:21 +0900

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-cpp11,
                libfontconfig-dev

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-farver,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 2.1.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/systemfonts_([-\d.]*)\.tar\.gz

## r-cran-systemfonts 1.3.1

=== debian/changelog ===
r-cran-systemfonts (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 13:34:53 +0900

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-base64enc,
                r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-cpp11,
-               libfontconfig-dev
-Standards-Version: 4.7.0
+               libfontconfig-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-systemfonts.git
 Homepage: https://cran.r-project.org/package=systemfonts

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-farver,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-ragg,
        r-cran-rmarkdown,
        r-cran-svglite,
        r-cran-testthat (>= 2.1.0)
Restrictions: allow-stderr
